import axios from '@/utils/axios'

export interface LoginInputDto {
  email: string
  password: string
}

export interface CreateUserDto {
  email: string
  password: string
  username?: string
}

export interface Token {
  accessToken: string
  refreshToken: string
}

export interface TokenRefreshPayload {
  refreshToken: string
}

export async function register(data: CreateUserDto) {
  return axios.post<Token>('/api/auth/register', data)
}

export async function login(data: LoginInputDto) {
  return axios.post<Token>('/api/auth/login', data)
}

export async function refreshToken(data: TokenRefreshPayload) {
  return axios.put<Token>('/api/auth/token', data)
}
